<%inherit file="dashboard.phtml"/>
<%block name="content">
<!--<table class="table_list" id="servers_list">
    <tr class="title_list">
        <td>${lang('monit', 'server', 'Server')}</td>
        <td>${lang('monit', 'ip', 'IP')}</td>
        <td>${lang('monit', 'status', 'Status')}</td>
    </tr>
</table>-->
<div id="table_servers">
</div>
</%block>
<%block name="jscript_block">
<script language="Javascript" src="${make_media_url('js/jsutils/ajax_list.js', 'monit')}"></script>
<script>

options={'url': "${url_for('.get_servers')}"};    

alist=$('#table_servers').ajaxList('table_list', options);

/*
fields={'hostname': "${lang('monit', 'server', 'Server')}", 'ip': "${lang('monit', 'ip', 'IP')}", 'status': "${lang('monit', 'status', 'Status')}", 'cpu_info': "${lang('monit', 'cpu_info', 'CPU Info')}", 'options': "${lang('monit', 'options', 'Options')}"}

$.ajax({
    url: "${url_for('.get_servers')}",
    data: {begin_page: 0, num_elements: 200},
    success: function (data) {
        
        var table=document.getElementById("servers_list");
        
        var first_row=table.insertRow(0);
        
        $(first_row).addClass('title_list');
        
        var titles={};
        
        var z=0;
        
        for(let i in fields) {
        
            titles[i]=first_row.insertCell(z);
            $(titles[i]).attr('id', 'title_'+i);
            
            z++;
            
            titles[i].innerHTML=fields[i];
            
        }
        
        var x=1;
        
        for(let i in data) {
            
            var row=table.insertRow(x);
            
            $(row).addClass('rowlist');
            
            var cells={};
            
            z=0;
            
            for(let m in fields) {
            
                
                cells[m]=row.insertCell(z);
                cells[m].innerHTML=data[i][m];
                $(cells[m]).addClass('field_'+m);
                
                z++;
            }
            
            x++;
        
        }
        
    },
    dataType: 'json'
});

*/
setInterval( function () {

    $.ajax({
        url: "${url_for('.update_status')}",
        data: {},
        success: function (data) {
            
           $('.ip_td').each( function () {
               
                ip=$(this).children('span').html();
                
                if(data.hasOwnProperty(ip)) {
                    
                    console.log(data[ip].cpu_info);
                    
                    $(this).closest('.row_list').find('.date_td').html(data[ip].status);
                    $(this).closest('.row_list').find('.data_td').html(data[ip].cpu_info);
                    
                }
               
           });
            
        },
        dataType: 'json'
    });

}, 60000);


</script>
</%block>
